Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023952
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2013-05-31 15:472013-06-19 11:29
ReporteradrianromeroView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision7c8f407a5605
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023952: It is not possible to configure cahs up logo (print format) in web pos

DescriptionThe printing format of the cash up process in POS and in ERP, window POS terminal, is not taking the logo for the organization. It's taken the Client logo. There is a POS logo defined at Client level but not at Store (Organization) level.
Steps To ReproduceExecute the cashup process from POS and verify that the logo displayed in the report is the Client logo, not the Store (Organization) logo.
Proposed SolutionDefine a POS logo at Store (Organization) level and use it for Cash up reports.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059322)
hgbot (developer)
2013-06-11 11:55

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7c8f407a5605ff2a824c1921155e4ae66ec00484
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jun 11 11:55:04 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7c8f407a5605ff2a824c1921155e4ae66ec00484 [^]

fixed issue 23952: Logo of cash up report is get from organization (if defined)

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.jrxml
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpostprintclose.js
---
(0059323)
hgbot (developer)
2013-06-11 11:57

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2fc07b71806c70364ba8823d8bd0ac3d560696f5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jun 11 11:57:12 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2fc07b71806c70364ba8823d8bd0ac3d560696f5 [^]

related to issue 23952: remove debugger

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpostprintclose.js
---
(0059328)
guilleaer (developer)
2013-06-11 12:23

Pending to include something to use different images on ticket templates based on the terminal organization.

Proposal:
The template will try to get allways the image file concatenated with the organization_id, If this image is not available in HWManager server the image without organization id will be used.

template:
<image>ticket-image-D270A5AC50874F8BA67A88EE977F8E3B.png</image>

HW manager
1. check for the existence of "ticket-image-D270A5AC50874F8BA67A88EE977F8E3B.png"
1.1 -> available -> print it
1.2 -> unavailable -> get "ticket-image.png" and print it
(0059346)
hgbot (developer)
2013-06-11 13:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 7c8f407a5605ff2a824c1921155e4ae66ec00484
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jun 11 11:55:04 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/7c8f407a5605ff2a824c1921155e4ae66ec00484 [^]

fixed issue 23952: Logo of cash up report is get from organization (if defined)

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.jrxml
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpostprintclose.js
---
(0059347)
hgbot (developer)
2013-06-11 13:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 2fc07b71806c70364ba8823d8bd0ac3d560696f5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jun 11 11:57:12 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/2fc07b71806c70364ba8823d8bd0ac3d560696f5 [^]

related to issue 23952: remove debugger

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpostprintclose.js
---

- Issue History
Date Modified Username Field Change
2013-05-31 15:47 adrianromero New Issue
2013-05-31 15:47 adrianromero Assigned To => adrianromero
2013-05-31 15:47 adrianromero Assigned To adrianromero => migueldejuana
2013-05-31 15:54 adrianromero Target Version => RMP24
2013-06-11 11:55 hgbot Checkin
2013-06-11 11:55 hgbot Note Added: 0059322
2013-06-11 11:55 hgbot Status new => resolved
2013-06-11 11:55 hgbot Resolution open => fixed
2013-06-11 11:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7c8f407a5605ff2a824c1921155e4ae66ec00484 [^]
2013-06-11 11:57 hgbot Checkin
2013-06-11 11:57 hgbot Note Added: 0059323
2013-06-11 12:23 guilleaer Note Added: 0059328
2013-06-11 13:26 hgbot Checkin
2013-06-11 13:26 hgbot Note Added: 0059346
2013-06-11 13:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7c8f407a5605ff2a824c1921155e4ae66ec00484 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/7c8f407a5605ff2a824c1921155e4ae66ec00484 [^]
2013-06-11 13:26 hgbot Checkin
2013-06-11 13:26 hgbot Note Added: 0059347
2013-06-19 11:29 marvintm Review Assigned To => marvintm
2013-06-19 11:29 marvintm Status resolved => closed
2013-06-19 11:29 marvintm Fixed in Version => RMP24


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker